petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscViewerASCIIPopSynchronized

Undoes most recent PetscViewerASCIIPushSynchronized() for this viewer

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerASCIIPopSynchronized(PetscViewer viewer)

Collective on PetscViewer

### Input Parameters

viewer -obtained with PetscViewerASCIIOpen()

### Notes

See documentation of PetscViewerASCIISynchronizedPrintf() for more details how the synchronized output should be done properly.

### See Also

PetscViewerASCIIPushSynchronized(), PetscViewerASCIISynchronizedPrintf(), PetscViewerFlush(),
PetscSynchronizedPrintf(), PetscViewerASCIIPrintf(), PetscViewerASCIIOpen(), PetscViewerCreate(), PetscViewerDestroy(), PetscViewerSetType()

### Level

intermediate

### Location

src/sys/classes/viewer/impls/ascii/filev.c

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/swarm_ex1.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages